/*CSS Syntax
selecter  {
 property: value;
 proptery: value;
}

Declarations end in semi-solon. CSS Declarations allows us to 
manipulate the property of the selected element.

A group of declaration for selected elements as well as its selector
are called a rule-set and is wrapped in {}

Selectors selects elements to be designed or styled by a rule set.

* - universal selector - selects and apply CSS stylings 
on all elements

font-family - modify the font style. along with font-family, the
next one will be the fallback font

fallback font - used as a backup if the font style is not installed
in ones computer.
*/

* {

	font-family:  "Courier New", monospace;
	font-size:  20px;
	color:  red;
}
h1 {
	color: green !important;
	background-color: black;
	text-align: center;
}

/*ID Selector
To be able to select an element with a unique id, first add the 
# and the name of the id.*/
#zuitt-motto {

	letter-spacing: 10px;
}

/*Type Selector
Allows us to select elements of the same tag/type.  */


body {
	background-color: skyblue;
}
a {
	text-decoration: none;
}
h1 {
	/*rem is a measurement in css and it stands for root element
	It is measurement based on the font-size of the root element.
	the default font size is 16px

	However, due to our universal selector the font-size of all 
	elements and including the root-element is 20px. 

	rem as a measurement is mostly used for font-size. However, it
	can also be used as measurement for other CSS properties.
	*/
	font-size: 2rem;
	/* text-align allows us to horizontally align the text in 
	an element. */
	text-align: center;
}

/*
	Class Selector
	allows us to select and style elements with same class. 
	.className {
	property: value;
	}

	*/
#sample1 {
	color: green;
}

.offering-item {
	margin-left: 10px;
	padding: 15px;
	color: green;
	text-transform:  uppercase;


}

/*Attribute Selector 
Allows us to select elements with the same tag and attribute

tag[attribute]

*/

input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	/*SO our input element do not overflow from the line, we will 
	make its size 90% of its parent element.
	*/
	width:  90%;
}
#ageInput {
	margin: 5px;
}


/*
Priorities in order
1. id - highest
2. class
3. attribute
4. type
5. universal - lowest
The more specific the selector is the more priority 
	it is given.
*/



/*Adjacent Sibling Selector
	Allows us to select the adhacent sibling of the first 
	selector. An adjacent sibling is the element nearest to the 
	first sibling.

	firstSibling + adjacentSibling {
	property: value;    
	}

	height and width properties will allow us to resize the 


	*/
h3 + img {
	height: 300px;
	width:  300px;
	border-radius:  150px; 
}

/*Descendant Combinator
Allows us to select the particular elements that are a descendant
of the first element/selector

element descendantElement


We can also add specific colors to properties that
can change colors using a hex decimal. Hex decimal values 
consists of a pound sign (#) and alphanumeric characters
that pertains to a particular color */

#bootcamp-learning-list li {
	color: #8C00B9;
}


#child-selector > li {
	color: red;
}

/* General Sibling Combinator
Allows us to select the particular siblings that come after 
the first selector 

element ~ generalSiblingElements {
	
}
*/

h2 ~ a {
	text-decoration: none;
	
}

/*
	Child Selector
	- allows us to select a particular child of the 
	preceding selector(s)

	parentSelector > childSelector {

	property: value;

	}

*/

section > form > label {
	color: #B90000;
}
html {
	scroll-behavior: smooth;
}

nav {
	padding: 10px;
	background-color: white;
}
a:hover {
	color: red;
}
nav > div {
	/*display:  inline block will allow us to change the display of
	an element. This div is now displayed as inline and therefore
	is beside of its sibling instaed of on the next line*/
	display: inline-block;
	/*float allows us to change the horizontal alignment of an 
	element and float our element to the leftmost or rightmost side
	of its parent container. */
	float: right;

}
nav > div a { 
	margin-right: 20px;
 }

 form {
 	text-align: center;
 	background-color: white;
 	/*add border with a shorthand way
		border:  thickness style color;
 	*/
 	border: 2px solid black;
 	height: 230px;
 	/*vw is a css measurement which means viewport width. It allows
 	us to add measurement based on the percentage of the viewport's
 	width. Viewport is the screen we are looking our page at. 
 	Viewport measurements are based on the screen your are looking
 	at so, at mobile devices in changes to.*/
 	width: 25vw;
 	/*position property will allow us to determine the position
 	or positioning of an element based on a criteria

 	relative value - to position property allows us to move our 
	element relative to its original position in our document.

	left property allows us to add measurement on the left side 
	of our element. The value with % is based on the width of 
	our parent element. We moved our form 37.25% from the left 
	of our parent element.
 	 */
 	position:  relative;
 	left:  37.25%;
 }
 section {
 	/*vh is the viewport height. vw is a measurement based on the
 	height of our viewport or the visible screen we can see the
 	page from.*/
 	height: 100vh;
 	text-align: center;
}
 
h2 { 
 	font-size:  1.5 rem;
}
ol {
	list-style-type: none;
}
button {
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}